# Configure aliases and replacement programs
#
# Convenient shortcuts for common programs, and configure
# replacement programs.

# make common programs easier to use
if type -q git
   abbr -ga g git
end

# configure ls and tree replacement
if type -q exa
   alias exa='exa -s type' # directories first
   abbr -ga ls exa
   abbr -ga ll exa -hl
   abbr -ga la exa -ax
   abbr -ga tree exa -T
end

# add abbreviation for cargo
if type -q cargo
   abbr -ga c cargo
end

if type -q cargo-fuzz
   abbr -ga fuzz rustup run nightly cargo fuzz
end

# configure cat replacement
if type -q batcat
   abbr -ga cat batcat
   set -x BAT_THEME 'Monokai Extended'
end

# configure find replacement
if type -q fdfind
   abbr -ga find fdfind
end

# open files in the default (gui) program
abbr -ga open xdg-open

# Update path to include custom path directories
set -x PATH "$PATH:$HOME/.cargo/bin/"
