function table_row -a COLOR KEY VAL LEN
    set -l repeats (math $LEN - (string length $KEY) - (string length $VAL) - 2)
    echo (set_color $COLOR)$KEY(set_color normal) \
         (set_color grey)(string repeat '.' -n $repeats) \
         (set_color -i brwhite)$VAL(set_color normal)
end

function fish_greeting
    set -l user (whoami)@(hostname)
    set -l uptime (uptime | sed 's/.*up \([^,]*\), .*/\1/')
    set -l shell_version (echo $FISH_VERSION)
    set -l date (date)

    set -l len (math $COLUMNS - 2)

    echo (string repeat '░' -n $COLUMNS)
    set_color grey; echo 1 (table_row brblue 'CURRENT USER' $user $len)
    set_color grey; echo 2 (table_row brmagenta 'DATE' $date $len)
    set_color grey; echo 3 (table_row brcyan 'SHELL VERSION' fish-$shell_version $len)
    set_color grey; echo 4 (table_row bryellow 'RUST' (rustc --version) $len)
end

