#!/bin/bash

# Run this file just to setup symlinks for dotfiles

# colors for logging stuff
RED='\033[1;31m'
GREEN='\033[1;32m'
YELLOW='\033[1;33m'
NC='\033[0m'
BOLD='\033[1m'

DIR=$(pwd -L)

echo -e "\n${GREEN}linking config files...${NC}\n"

# System config
echo -e "\n\t${BOLD}System config...${NC}\n"
ln -sbv "$DIR/config/bash/bashrc" ~/.bashrc
ln -sbv "$DIR/config/bash/profile" ~/.bash_profile
ln -sbv "$DIR/config/inputrc" ~/.inputrc
ln -sbv "$DIR/config/fish" ~/.config/

# Text editor config
echo -e "\n\t${BOLD}Text editors...${NC}\n"
ln -sbv "$DIR/config/vimrc" ~/.vimrc
ln -sbv "$DIR/config/helix/config.toml" ~/.config/helix/config.toml
ln -sbv "$DIR/config/helix/languages.toml" ~/.config/helix/languages.toml
ln -sbv "$DIR/config/helix/themes/" ~/.config/helix/

# Terminal Config
echo -e "\n\t${BOLD}Terminal Emulator...${NC}\n"
ln -sbv "$DIR/config/alacritty.yml" ~/.alacritty.yml

# Git
echo -e "\n\t${BOLD}git...${NC}\n"
ln -sbv "$DIR/config/git/gitconfig" ~/.gitconfig
ln -sbv "$DIR/config/git/gitconfig.user" ~/.gitconfig.user
ln -sbv "$DIR/config/git/gitignore_global" ~/.gitignore_global
ln -sbv "$DIR/config/git/gitattributes_global" ~/.gitattributes_global

# e-mail
echo -e "\n\t${BOLD}email...${NC}\n"
ln -sbv "$DIR/mail/.mbsyncrc" ~
ln -sbv "$DIR/mail/.msmtprc" ~
ln -sbv "$DIR/mail/.notmuch-config" ~
ln -sbv "$DIR/mail/.afew-config" ~/.config/afew/config
ln -sbv "$DIR/service/checkmail.service" ~/.config/systemd/user/
ln -sbv "$DIR/service/checkmail.timer" ~/.config/systemd/user/
